com.thinkaurelius.titan.diskstorage.util

## Class WriteByteBuffer

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.util.WriteByteBuffer

- All Implemented Interfaces:
    WriteBuffer

      public class WriteByteBuffer
      extends Object
      implements WriteBuffer

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_CAPACITY`
    `static int` | `MAX_BUFFER_CAPACITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteByteBuffer()`
    `WriteByteBuffer(int capacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPosition()`
    `StaticBuffer` | `getStaticBuffer()`
    `StaticBuffer` | `getStaticBufferFlipBytes(int from, int to)`
    `WriteBuffer` | `putBoolean(boolean val)`
    `WriteBuffer` | `putByte(byte val)`
    `WriteBuffer` | `putBytes(byte[] val)`
    `WriteBuffer` | `putBytes(StaticBuffer val)`
    `WriteBuffer` | `putChar(char val)`
    `WriteBuffer` | `putDouble(double val)`
    `WriteBuffer` | `putFloat(float val)`
    `WriteBuffer` | `putInt(int val)`
    `WriteBuffer` | `putLong(long val)`
    `WriteBuffer` | `putShort(short val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CAPACITY

          public static final int DEFAULT_CAPACITY

      See Also:
        Constant Field Values

    - #### MAX_BUFFER_CAPACITY

          public static final int MAX_BUFFER_CAPACITY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WriteByteBuffer

          public WriteByteBuffer()

    - #### WriteByteBuffer

          public WriteByteBuffer(int capacity)

  - ### Method Detail

    - #### putLong

          public WriteBuffer putLong(long val)

      Specified by:
        `putLong` in interface `WriteBuffer`

    - #### putInt

          public WriteBuffer putInt(int val)

      Specified by:
        `putInt` in interface `WriteBuffer`

    - #### putShort

          public WriteBuffer putShort(short val)

      Specified by:
        `putShort` in interface `WriteBuffer`

    - #### putBoolean

          public WriteBuffer putBoolean(boolean val)

      Specified by:
        `putBoolean` in interface `WriteBuffer`

    - #### putByte

          public WriteBuffer putByte(byte val)

      Specified by:
        `putByte` in interface `WriteBuffer`

    - #### putBytes

          public WriteBuffer putBytes(byte[] val)

      Specified by:
        `putBytes` in interface `WriteBuffer`

    - #### putBytes

          public WriteBuffer putBytes(StaticBuffer val)

      Specified by:
        `putBytes` in interface `WriteBuffer`

    - #### putChar

          public WriteBuffer putChar(char val)

      Specified by:
        `putChar` in interface `WriteBuffer`

    - #### putFloat

          public WriteBuffer putFloat(float val)

      Specified by:
        `putFloat` in interface `WriteBuffer`

    - #### putDouble

          public WriteBuffer putDouble(double val)

      Specified by:
        `putDouble` in interface `WriteBuffer`

    - #### getPosition

          public int getPosition()

      Specified by:
        `getPosition` in interface `WriteBuffer`

    - #### getStaticBuffer

          public StaticBuffer getStaticBuffer()

      Specified by:
        `getStaticBuffer` in interface `WriteBuffer`

    - #### getStaticBufferFlipBytes

          public StaticBuffer getStaticBufferFlipBytes(int from,
                                              int to)

      Specified by:
        `getStaticBufferFlipBytes` in interface `WriteBuffer`

Copyright © 2012–2014. All rights reserved.